﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace XamComboEditorAutoSelection {
  /// <summary>
  /// Interaction logic for MainWindow.xaml
  /// </summary>
    public partial class MainWindow : Window
    {

        public List<string> ListData = new List<string>() { "Allen", "Tom", "Harry" };

        public MainWindow()
        {
            InitializeComponent();

            myCombo.ItemsSource = ListData;
            myCombo.Focus();
            
            Style comboStyle = new Style(typeof(ComboBox));
            comboStyle.Setters.Add(new Setter(ComboBox.IsTextSearchEnabledProperty,false));

            myCombo.ComboBoxStyle = comboStyle;

        }

        private void myCombo_EditModeEnded_1(object sender, Infragistics.Windows.Editors.Events.EditModeEndedEventArgs e)
        {
            if (myCombo.Value != null)
            {
                var selection = myCombo.Value.ToString();
                if (!string.IsNullOrEmpty(selection) && !ListData.Contains(selection))
                    ListData.Add(selection);
            }
        }
    }
}
